# Acquire a new access token

This API endpoint accepts a POST request with an auth_token parameter and returns an access_token that grants authorized access to additional resources within the API, with a different expiration time and unique signature.

Endpoint: POST /access_token
Version: v3
Security: auth_token, api-key, api-key

## Request fields (application/json):

  - `identity` (object, required)

  - `identity.type` (string, required)
    Indicates the identity type.
    Enum: "CONSUMER", "CORPORATE"

  - `identity.id` (string, required)
    The identifier for the identity.

  - `clientAssertion` (string)
    Generated using the certificate linked to the Delegated API Client. This feature is available only to customers that have been enabled with delegation functionality.

  - `token` (string)
    A short-lived one-time token to be exchanged for an access token. This token is used for identity verification and authorisation purposes.

## Response 200 fields (application/json):

  - `token` (string)

  - `identity` (object)
    The identity to which the logged-in user belongs to.

  - `identity.type` (string, required)
    Indicates the identity type.
    Enum: "CONSUMER", "CORPORATE"

  - `identity.id` (string, required)
    The identifier for the identity.

  - `credentials` (object)
    The unique identifier for the logged-in user.

  - `credentials.type` (string, required)
    The type of user.
    Enum: "ROOT", "USER", "API_CLIENT"

  - `credentials.id` (string, required)
    The identifier of the user.

  - `status` (string)
    The token status, as follows:
  - STANDARD: it is a standard token. 
  - STEPPED_UP: it is a stepped up token.
    Enum: "STANDARD", "STEPPED_UP"

## Response 400 fields (application/json):

  - `message` (string)
    When present helps to identify and fix the problem.

  - `syntaxErrors` (object)
    Is returned as part of an HTTP error response whenever a syntax error is detected. A list of the fields together with their syntax error will be provided.

  - `syntaxErrors.invalidFields` (array)

  - `syntaxErrors.invalidFields.params` (array)

  - `syntaxErrors.invalidFields.fieldName` (string)

  - `syntaxErrors.invalidFields.error` (string)
    Enum: "REQUIRED", "HAS_TEXT", "REQUIRES", "SIZE", "RANGE", "IN", "NOT_IN", "REGEX", "EXACTLY", "AT_LEAST", "AT_MOST", "ALL_OR_NONE"

## Response default fields (application/json):

  - `code` (string)

  - `message` (string)


## Response 401 fields

## Response 403 fields

## Response 423 fields

## Response 429 fields

## Response 500 fields

## Response 503 fields
